{% extends "base.html" %}
{% load static i18n %}

{% block title %}Aadressi otsing{% endblock title %}

{% block css %}
  {{ block.super }}
  <link href="{% static 'css/jquery-ui.min.css' %}" rel="stylesheet" />
{% endblock css %}

{% block navbar %}
{% endblock navbar%}

{% block content %}

<div class="p-5">

  <div class="row text-center">
    <div id="hierarchical-search-form-tab" class="card-header col-sm-3 btn btn-light p-3">
      <div class="text-nowrap"><a href="/address-search/?tab=hierarchical-search-form" role="button">Hierarhiline otsing</a></div>
    </div>
    <div id="fulltext-search-form-tab" class="card-header col-sm-3 btn btn-light p-3">
      <div class="text-nowrap"><a href="/address-search/?tab=fulltext-search-form" role="button">Tekstiotsing</a></div>
    </div>
    <div id="map-search-form-tab" class="card-header col-sm-3 btn btn-light p-3">
      <div class="text-nowrap"><a href="/address-search/?tab=map-search-form" role="button">Kaardiotsing</a></div>
    </div>
      <div id="address-task-form-tab" class="card-header col-sm-3 btn btn-light p-3">
      <div class="text-nowrap"><a href="/address-search/?tab=address-task-form" role="button">Teavita</a></div>
    </div>
  </div>

  <form action="" id="hierarchical-search-form" class="d-none">

    <div id="data_back_to_consumer">
      <input id="address_id" type="hidden">
      <input id="address_type" type="hidden">
      <input id="region" type="hidden">
      <input id="city_county" type="hidden">
      <input id="municipality" type="hidden">
      <input id="street_bg_name" type="hidden">
      <input id="bg_num" type="hidden">
      <input id="postal_code" type="hidden">
      <input id="building_id" type="hidden">
      <input id="building_name" type="hidden">
      <input id="building_subtype" type="hidden">
      <input id="coord_x" type="hidden">
      <input id="coord_y" type="hidden">
      <input id="room_id" type="hidden">
      <input id="room_name" type="hidden">
      <input id="room_type" type="hidden">
      <input id="room_floor" type="hidden">
      <input id="room_entrance" type="hidden">
    </div>

    <div id="region-drop-down" class="row justify-content-sm-center">
      <div class="col-sm-6 pt-3">
        <div class="form-group">
          <label for="form-control-region-select">Maakond</label>
          <select class="form-control" id="form-control-region-select">
            <option value="">- vali -</option>
          </select>
        </div>
      </div>
    </div>

    <div id="city-county-drop-down" class="row justify-content-sm-center d-none">
      <div class="col-sm-6">
        <div class="form-group">
          <label for="form-control-city-county-select">Linn/vald</label>
          <select class="form-control" id="form-control-city-county-select">
            <option value="">- vali -</option>
          </select>
        </div>
      </div>
    </div>

    <div id="municipality-drop-down" class="row justify-content-sm-center d-none">
      <div class="col-sm-6">
        <div class="form-group">
          <label for="form-control-municipality-select">Küla/Alevik/Linnaosa/VS-linn</label>
          <select class="form-control" id="form-control-municipality-select">
            <option value="">- vali -</option>
          </select>
        </div>
      </div>
    </div>

    <div id="street-drop-down" class="row justify-content-sm-center d-none">
      <div class="col-sm-6">
        <div class="form-group">
          <label for="form-control-street-select">Tänav/Talu/AÜ</label>
          <select class="form-control" id="form-control-street-select">
            <option value="">- vali -</option>
          </select>
        </div>
      </div>
    </div>

    <div id="house-drop-down" class="row justify-content-sm-center d-none">
      <div class="col-sm-6">
        <div class="form-group">
          <label for="form-control-house-select">Maja number</label>
          <select class="form-control" id="form-control-house-select">
            <option value="">- vali -</option>
          </select>
        </div>
      </div>
    </div>

    <div id="room-drop-down" class="row justify-content-sm-center d-none">
      <div class="col-sm-6">
        <div class="form-group">
          <label for="form-control-room-select">Korteri/Ruumi number</label>
          <select class="form-control" id="form-control-room-select">
            <option value="">- vali -</option>
          </select>
          <button id="add-missing-room-btn" type="button" class="btn btn-secondary btn-sm">
              Lisa puuduv number
          </button>
        </div>
        <div id="add-missing-room" class="d-none">
          <div class="form-group">
            <label for="form-control-anette-room-select">Ruum Anettest</label>
            <select class="form-control" id="form-control-anette-room-select">
              <option value="">- vali -</option>
            </select>
          </div>
          <div class="form-group">
              <label for="room">Korteri/ruumi nr</label>
              <input class="form-control" id="room" type="text" placeholder="krt 12">
            </div>
          <div class="text-right">
          </div>
        </div>
      </div>
    </div>

    <div id="choose-hierarchical-address-button" class="row justify-content-sm-center pt-3">
      <div class="col-sm-6">
        <div class="form-group text-center">
          <button id="hierarchical-search-select-btn" type="button" class="btn btn-primary">Vali aadress</button>
          <button id="hierarchical-search-clear-btn" type="button" class="btn btn-primary" 
            onclick="javascript: location.reload();">Tühjenda</button>
        </div>
      </div>
    </div>

  </form>

  <form action="" id="fulltext-search-form" class="d-none">
    <div id="search-box-selection-header" class="row text-center justify-content-sm-center pt-2">
      <div class="col-sm-2 form-check m-1">
        <label class="form-check-label">
          <input id="comp-search-address-radio" type="radio" class="form-check-input" name="optradio" checked=checked>
          Aadressi otsing
        </label>
      </div>
      <div class="col-sm-2 form-check m-1">
        <label class="form-check-label">
          <input id="comp-search-location-radio" type="radio" class="form-check-input" name="optradio">
          Asukoha otsing
        </label>
      </div>
    </div>
    <div id="component-search-location-box" class="row justify-content-sm-center d-none">
      <div class="col-sm-6 pt-3">
        <div class="form-group">
          <div class="form-group">
            <label for="room">Maakond:</label>
            <input class="form-control" id="comp_search_region" type="text">
          </div>
          <div class="form-group">
            <label for="room">Linn/Vald:</label>
            <input class="form-control" id="comp_search_city_county" type="text">
          </div>
          <div class="form-group">
            <label for="room">Küla/Alevik/Linnaosa/VS-linn:</label>
            <input class="form-control" id="comp_search_municipality" type="text">
          </div>
          <div class="form-group">
            <label for="room">Tänav/Talu/AÜ:</label>
            <input class="form-control" id="comp_search_street_village" type="text">
          </div>
        </div>
        <div class="form-group text-center">
          <button id="component-search-location-btn" type="button" class="btn btn-primary">Otsi</button>
        </div>
        <div id="component-search-location-results" class="d-none">
          <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col"></th>
                <th scope="col">Aadress</th>
                <th scope="col">Tüüp</th>
              </tr>
            </thead>
            <tbody id="component-search-location-tbody">
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <div id="component-search-address-box" class="row justify-content-sm-center">
      <div class="col-sm-6 pt-3">

        <div>
          <div class="form-group">
            <label for="full-text-search-address">Aadress:</label>
            <input class="form-control" 
                  id="full-text-search-address"
                  type="text"
                  placeholder="Sisesta aadress: sõle 17 tallinn"
                  class="ui-autocomplete-input"
                  autocomplete="off">
          </div>

          <div class="form-group">
            <label for="room">Korteri/ruumi nr</label>
            <input class="form-control" id="full-text-search-room" type="text" placeholder="krt 12">
          </div>

          <div id="choose-fulltext-address-button" class="row justify-content-sm-center pt-3">
            <div class="col-sm-6">
              <div class="form-group text-center">
                <button id="fulltext-search-select-btn" type="button" class="btn btn-primary">Vali aadress</button>
                <button id="fulltext-search-clear-btn" type="button" class="btn btn-primary" 
                  onclick="javascript: location.reload();">Tühjenda</button>
              </div>
            </div>
          </div>

          <div id="outputbox" class="d-none">
            <div id="data_to_transfer"></div>
            <div id="selected_address"></div>
            <div id="selected_room"></div>
            <!--<div id="log" style="height: 600px; width: 100%; overflow: auto;"></div>-->
            <!--<textarea id="outraw" rows="10" cols="100"></textarea>-->
          </div>

        </div>
      </div>
    </div>
  </form>

  <form action="" id="map-search-form" class="d-none">
    <div class="row justify-content-sm-center">
      <div id="map-content" class="col-sm-12 pt-3"></div>
    </div>
  </form>

  <form action="" id="address-task-form" class="d-none">
    <div class="row justify-content-sm-center">
        <div>
          <h2>Teavita aadressi muudatusest</h2>
             <p>Siin saad teavitada aadressi muudatusest aadressregistri haldurit juhul kui aadress puudub, on vigane või vajab kohendamist.</p>

            <div class="form-group">
            <label for="task_location_address_region">Maakond</label>
            <input class="form-control" id="task_location_address_region" type="text" placeholder="Harju maakond">
          </div>
          <div class="form-group">
            <label for="task_location_address_city_county">Linn/Vald</label>
            <input class="form-control" id="task_location_address_city_county" type="text" placeholder="Tallinn">
          </div>
          <div class="form-group">
            <label for="task_location_address_municipality">Linnaosa/küla/alevik</label>
            <input class="form-control" id="task_location_address_municipality" type="text" placeholder="Kristiine">
          </div>
          <div class="form-group">
            <label for="task_location_address_street_bg_name">Tänav/Väikekoht</label>
            <input class="form-control" id="task_location_address_street_bg_name" type="text" placeholder="Mustamäe tee">
          </div>
            <div class="form-row">
          <div class="form-group col-md-6">
            <label for="task_location_building_name">Maja nr</label>
            <input class="form-control" id="task_location_building_name" type="text" placeholder="3">
          </div>
                <div class="form-group col-md-6">
            <label for="task_location_room_name">Ruum/korter</label>
            <input class="form-control" id="task_location_room_name" type="text" placeholder="London">
          </div>

            </div>

            <h2>Sinu kontaktandmed</h2>

          <div class="form-group">
            <label for="name">Saatja nimi</label>
            <input class="form-control" id="sender_name" type="text">
          </div>
            <div class="form-row">
              <div class="form-group col-md-6">
                <label for="email">Saatja e-mail</label>
                <input class="form-control" id="sender_email" type="text">
              </div>
              <div class="form-group col-md-6">
                <label for="phone">Saatja telefon</label>
                <input class="form-control" id="sender_phone" type="text">
              </div>
            </div>
          <div class="form-group">
            <label for="additional_info">Lisainfo</label>
            <input class="form-control" id="comment_text" type="text" placeholder="Aadress puudub registrist">
          </div>

           <div class="form-group">
              <label for="file-upload">Lisa fail</label>
              <div class="custom-file">
                <input type="file" class="custom-file-input" id="customInput" multiple>
                <label class="custom-file-label" data-browse="Lae fail" for="customInput"></label>
            </div>
              </div>

            <div id="task-box-selection-header" class="form-group justify-content-sm-center ">
      <div>
          <label class="form-check-label">
          <input id="response-required-true" type="radio" class="form-check-input" name="optradio" checked=checked>
          Soovin vastust
        </label><br>
        <label class="form-check-label">
          <input id="response-required-false" type="radio" class="form-check-input" name="optradio">
          Ei soovi vastust
        </label>
      </div>
    </div>

          <div id="location-task-button" class="row justify-content-sm-center pt-3">
            <div class="col-sm-6">
              <div class="form-group text-center">
                  <button id="location-task-cancel-btn" style="float: left;" type="button" class="btn btn-primary"
                  onclick="javascript: location.reload();">Katkesta</button>
                <button id="location-task-send-btn" style="float: right;" type="button" class="btn btn-primary">Saada teavitus</button>
              </div>
            </div>
          </div>
    </div>
        </div>
  </form>

</div>

{% endblock content %}

{% block javascript %}
  {{ block.super }}
  <script src="{% static 'js/address.hierarchical.search.js' %}"></script>
  <script src="{% static 'js/address.fulltext.search.js' %}"></script>
  <script src="{% static 'js/address.components.search.js' %}"></script>
  <script src="{% static 'js/address.search.js' %}"></script>
  <script src="{% static 'js/address.tasks.js' %}"></script>
  <script src="{% static 'js/jquery-ui.min.js' %}"></script>

{% endblock %}
